#include<bits/stdc++.h>
using namespace std;

int absi(int x){
    return x>0?x:-x;
}

int main(){
    int x,y,i,n,m,b,nb;
    cin>>n>>m;
    vector<int> a(n), d(n), e(n);
    for(i=0;i<n;++i)cin>>a[i];
    for(i=0;i<m;++i){
        cin>>x>>y;
        --x,--y;
        if(absi(a[x])>absi(a[y])){
             b=x;
             nb=y;
        }
        else{
            b=y;
            nb=x;
        }

        if(a[b]>0){
            ++d[b];
            ++d[nb];
        }
        else{
            ++e[b];
            ++e[nb];
        }
    }

    long long ans=0;
    for(i=0;i<n;++i){
        ans += a[i] * (d[i] - e[i]); 
    }
    cout << ans << '\n';
}